﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace ConsoleApplication.em
{
    public class CLI_EmRemove
    {
        public virtual void Exec()
        {
            /**
               * 決済方式　　nanaco決済のみが指定できます。
               *   
               * nanaco決済                        : tcc-redirect
               */
            String serviceOptionType = "tcc-redirect";

            /**
             * 取引ID
             */
            String orderId = "dummy" + System.DateTime.Now.ToString("HHmmssfff");

            
            /**
             * 決済申し込み時のユーザIDを指定
             */
            String userId = "";

            /**
             * 要求電文パラメータ値の指定
             */
            EmRemoveRequestDto requestData = new EmRemoveRequestDto();
            requestData.ServiceOptionType = serviceOptionType;
            requestData.OrderId = orderId;
            requestData.UserId = userId;

            /**
             * 実行と結果表示
             */
            Transaction tran = new Transaction();
            EmRemoveResponseDto responseData = (EmRemoveResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("ServiceOptionType:" + requestData.ServiceOptionType);
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("User ID:" + requestData.UserId);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
        }
    }
}
