﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;

namespace ConsoleApplication.rakuten
{
    /// <summary>
    /// rakutenID決済(キャンセル)サンプル
    /// </summary>
    class CLI_RakutenCancel
    {
        public virtual void Exec()
        {
            /**
             * 取引ID
             * 与信完了取引のIDを指定
             */
            String orderId = "dummy1411378035507";

            RakutenCancelRequestDto requestData = new RakutenCancelRequestDto();
            requestData.OrderId = orderId;

            /**
             * 実行と結果表示
             */
            Transaction tran = new Transaction();
            RakutenCancelResponseDto responseData = (RakutenCancelResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
        }
    }
}
