﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AuthorizeExec.aspx.cs" Inherits="MdkSampleDotNet.alipay.AuthorizeExec" %>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>取引結果</title>
<link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'/><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G Alipay決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
</font>
</div>
<asp:Label ID="EntryForm" runat="server" />
<div class="lhtitle">Alipay決済：取引結果</div>
<% if ("2".Equals(PayType) || "success".Equals(Mstatus.Text)) { %>
<table border="0" cellpadding="0" cellspacing="0" style="width:1830px;">
<% } else { %>
<table border="0" cellpadding="0" cellspacing="0">
<% } %>
  <tr>
    <td class="rititletop" style="width:180px;">取引ID</td>
    <td class="rivaluetop"><asp:Label ID="OrderId" runat="server"/><br/></td>
  </tr>
  <tr>
    <td class="rititle">取引ステータス</td>
    <td class="rivalue"><asp:Label ID="Mstatus" runat="server"/><br/></td>
  </tr>
  <tr>
    <td class="rititle">結果コード</td>
    <td class="rivalue"><asp:Label ID="VResultCode" runat="server"/><br/></td>
  </tr>
  <tr>
    <td class="rititle">結果メッセージ</td>
    <td class="rivalue"><asp:Label ID="MerrMsg" runat="server"/><br/></td>
  </tr>
<% if ("1".Equals(PayType) || "2".Equals(PayType)) { %>
  <tr>
    <td class="rititle">トランザクションID(取引毎につけるID)</td>
    <td class="rivalue"><asp:Label ID="CustTxn" runat="server"/><br/></td>
  </tr>
  <tr>
    <td class="rititle">決済センターとの取引ID</td>
    <td class="rivalue"><asp:Label ID="CenterTradeId" runat="server"/><br/></td>
  </tr>
<% } %>
<% if ("1".Equals(PayType)) { %>
  <tr>
    <td class="rititle">決済時刻（日本時間）</td>
    <td class="rivalue"><asp:Label ID="PayTimeJp" runat="server"/><br/></td>
  </tr>
  <tr>
    <td class="rititle">決済時刻（中国時間）</td>
    <td class="rivalue"><asp:Label ID="PayTimeCn" runat="server"/><br/></td>
  </tr>
  <tr>
    <td class="rititle">請求金額（中国元）</td>
    <td class="rivalue"><asp:Label ID="BuyerChargedAmountCny" runat="server"/><br/></td>
  </tr>
<% } else if ("2".Equals(PayType)) { %>
  <tr>
    <td class="rititle">QRコード</td>
<% if ("success".Equals(Mstatus.Text)) { %>
    <td class="rivalue" style="width:1620px;"><asp:Label ID="QrCode" runat="server"/><br/>
<% } else { %>
    <td class="rivalue"><br/>
<% } %>
    </td>
  </tr>
  <tr>
    <td class="rititle">QRコード画像URL</td>
<% if ("success".Equals(Mstatus.Text)) { %>
    <td class="rivalue" style="width:1620px;"><asp:Label ID="QrCodeImgUrl" runat="server"/><br/>
      <iframe frameborder="0" height="552" width="552" scrolling="NO" src="<%= QrCodeImgUrl.Text %>" marginwidth="0"></iframe><br />
<% } else { %>
    <td class="rivalue"><br/>
<% } %>
    </td>
  </tr>
  <tr>
    <td class="rititle">QRコード画像URL（縮小）</td>
<% if ("success".Equals(Mstatus.Text)) { %>
    <td class="rivalue" style="width:1620px;"><asp:Label ID="QrCodeSmallImgUrl" runat="server"/><br/>
      <iframe frameborder="0" height="296" width="296" scrolling="NO" src="<%= QrCodeSmallImgUrl.Text %>" marginwidth="0"></iframe><br />
<% } else { %>
    <td class="rivalue"><br/>
<% } %>
    </td>
  </tr>
  <tr>
    <td class="rititle">QRコード画像URL（拡大）</td>
<% if ("success".Equals(Mstatus.Text)) { %>
    <td class="rivalue" style="width:1620px;"><asp:Label ID="QrCodeLargeImgUrl" runat="server"/><br/>
      <iframe frameborder="0" height="1586" width="1586" scrolling="NO" src="<%= QrCodeLargeImgUrl.Text %>" marginwidth="0"></iframe><br />
<% } else { %>
    <td class="rivalue"><br/>
<% } %>
    </td>
  </tr>
<% } %>
</table>

<br/>

<a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr/>
<img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png"/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
