<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Authorize.aspx.cs" Inherits="MdkSampleDotNet.bank.Authorize" %>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - 銀行決済 サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>

<img alt="Paymentロゴ" src="../WEB-IMG/VeriTrans_Payment.png"/><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 銀行決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<asp:Label ID="errorMessage" runat="server"/>

<div class="lhtitle">銀行決済：決済請求</div>
<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_BANK" method="post" runat="server">
  <tr>
    <td class="ititletop">取引ID</td>
    <td class="ivaluetop"><asp:Label ID="orderId" runat="server"/>&nbsp;&nbsp;<asp:Button ID="btnReplaceOrderId" runat="server" Text="取引ID更新" onclick="btnReplaceOrderId_Click" /></td>
  </tr>
  <tr>
    <td class="ititle">決済サービスオプション</td>
    <td class="ivalue">
      <asp:DropDownList ID="serviceOptionType" runat="server">
          <asp:ListItem Value="atm">ATM決済</asp:ListItem>
          <asp:ListItem Value="netbank-pc">ネットバンク決済 (PC)</asp:ListItem>
          <asp:ListItem Value="netbank-docomo">ネットバンク決済 (docomo)</asp:ListItem>
          <asp:ListItem Value="netbank-softbank">ネットバンク決済 (SoftBank)</asp:ListItem>
          <asp:ListItem Value="netbank-au">ネットバンク決済 (au)</asp:ListItem>
      </asp:DropDownList>
    </td>
  </tr>
  <tr>
    <td class="ititle">決済金額</td>
    <td class="ivalue"><asp:TextBox ID="amount" runat="server" maxlength="10" size="11" /></td>
  </tr>
  <tr>
    <td class="ititle">姓</td>
    <td class="ivalue"><asp:TextBox ID="name1" runat="server" maxlength="20" size="21" /></td>
  </tr>
  <tr>
    <td class="ititle">名&nbsp;&nbsp;<font size="1" color="red">※任意項目</font></td>
    <td class="ivalue"><asp:TextBox ID="name2" runat="server" maxlength="20" size="21" /></td>
  </tr>
  <tr>
    <td class="ititle">カナ（姓）</td>
    <td class="ivalue"><asp:TextBox ID="kana1" runat="server" maxlength="20" size="21" /></td>
  </tr>
  <tr>
    <td class="ititle">カナ（名）&nbsp;&nbsp;<font size="1" color="red">※任意項目</font></td>
    <td class="ivalue"><asp:TextBox ID="kana2" runat="server" maxlength="20" size="21" /></td>
  </tr>
  <tr>
    <td class="ititle">支払期限</td>
    <td class="ivalue"><asp:TextBox ID="payLimit" runat="server" maxlength="8" size="9" />&nbsp;&nbsp;<font size="2" color="red">※形式：YYYYMMDD</font></td>
  </tr>
  <tr><td colspan="2"><font size="2">※請求内容は、インフォメーションとしてATMなどに表示されます。</font></td></tr>
  <tr>
    <td class="ititletop">請求内容（漢字）</td>
    <td class="ivaluetop"><asp:TextBox ID="contents" runat="server" maxlength="24" size="25" /></td>
  </tr>
   <tr>
    <td class="ititle">請求内容（カナ）</td>
    <td class="ivalue"><asp:TextBox ID="contentsKana" runat="server" maxlength="48" size="60" /></td>
  </tr>
  <tr><td colspan="2">&nbsp;</td></tr>
  <tr>
    <td colspan="2"><asp:Button ID="btnSubmit" runat="server" Text="購入" onclick="btnSubmit_Click" />&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
  </tr>
</form>
</table>
<br>
<a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
<hr>
<img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png"/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
