﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace MdkSampleDotNet.card
{
    public partial class CancelExec : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramOrderId = (String)Session["paramOrderId"];
            String paramAmount = (String)Session["paramAmount"];


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            CardCancelRequestDto requestData = new CardCancelRequestDto();
            requestData.OrderId = paramOrderId;
            requestData.Amount = paramAmount;


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            Transaction tran = new Transaction();
            CardCancelResponseDto responseData = (CardCancelResponseDto)tran.Execute(requestData);


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 結果画面に表示します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            OrderId.Text = responseData.OrderId;
            Mstatus.Text = responseData.Mstatus;
            VResultCode.Text = responseData.VResultCode;
            MerrMsg.Text = responseData.MerrMsg;
        }
    }
}
