﻿using System;
using System.Web.UI;

namespace web.paynowid
{
    public partial class AccountWithdraw : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 会員IDの取得
            String accountId = AccountId.Text;
            // 退会年月日の取得取得
            String deleteDate = DeleteDate.Text;

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 入力をチェックします
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 会員ID
            if (String.IsNullOrEmpty(accountId))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：会員IDが指定されていません</b></font>";
                return;
            }


            // 画面入力値を実行クラスに渡すためにセッションに設定します。
            Session["accountId"] = accountId;
            Session["deleteDate"] = (!String.IsNullOrEmpty(deleteDate)) ? deleteDate : null;

            // 実行＆結果画面を表示します
            Response.Redirect("./AccountWithdrawExec.aspx", true);
        }


    }
}
