﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MpiAuthorizeInput.aspx.cs"
    Inherits="web.paynowid.MpiAuthorizeInput" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - カード決済-3D認証有り(PayNowIDカード情報利用)サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
    <script language="JavaScript" type="text/javascript">
        function jpoChk(jpoObj) {
            var val = jpoObj.value;
            if (val.length == 1) {
                if (isNaN(val) == false) {
                    jpoObj.value = "0" + jpoObj.value;
                }
            }
        }
    </script>
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png' /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G カード決済-3D認証有り(PayNowIDカード情報利用)のサンプル画面です。<br />
            お客様ECサイトとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照ください。<br />
        </font>
    </div>
    <asp:Label ID="ErrorMessage" runat="server" />
    <div class="lhtitle">
        カード決済-3D認証有り(PayNowIDカード情報利用)</div>
    <form id="Form1" name="FORM_PAY_NOW_ID" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="thl" colspan="2">
                決済情報入力
            </td>
        </tr>
        <tr>
            <td class="ititle">
                カード番号
            </td>
            <td class="ivalue">
                <asp:Label runat="server" ID="CardNumberLabel"></asp:Label>
                <asp:TextBox runat="server" size="19" MaxLength="20" ID="CardNumber"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                有効期限
            </td>
            <td class="ivalue">
                <asp:Label runat="server" ID="CardExpireLabel"></asp:Label>
                <asp:TextBox runat="server" ID="CardExpire" size="5" MaxLength="5"></asp:TextBox>
                &nbsp;&nbsp;<font size="2" color="red">※形式：MM/YY</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                セキュリティコード
            </td>
            <td class="ivalue">
                <asp:TextBox runat="server" ID="SecureCd" size="4" MaxLength="4"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                支払方法
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="Jpo1" runat="server">
                    <asp:ListItem Value="10">一括払い(支払回数の設定は不要)</asp:ListItem>
                    <asp:ListItem Value="61">分割払い(支払回数を設定してください)</asp:ListItem>
                    <asp:ListItem Value="80">リボ払い(支払回数の設定は不要)</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                支払回数
            </td>
            <td class="ivalue">
                <asp:TextBox ID="Jpo2" runat="server" MaxLength="2" size="3" onBlur="jpoChk(this);" />&nbsp;&nbsp;
                <font size="2" color="red">※一桁の場合は数値の前に&quot;0&quot;をつけてください。&nbsp;&nbsp;例：01</font>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:Button ID="Button1" runat="server" Text="実行" OnClick="Exec_Click" />
                <font size="2" color="red">※２回以上クリックしないでください。</font>
            </td>
        </tr>
    </table>
    </form>
    <a href="../PayNowIdMenu.aspx">PayNowIDサンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png" />&nbsp; Copyright &copy;
    VeriTrans Inc. All rights reserved
</body>
</html>
