﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MpiAuthorizeSelect.aspx.cs"
    Inherits="web.paynowid.MpiAuthorizeSelect" %>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - カード決済-3D認証有り(PayNowIDカード情報利用)サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png' /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G カード決済-3D認証有り(PayNowIDカード情報利用)のサンプル画面です。<br />
            お客様ECサイトとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照ください。<br />
        </font>
    </div>
    <asp:Label ID="ErrorMessage" runat="server" />
    <div class="lhtitle">
        カード決済-3D認証有り(PayNowIDカード情報利用)</div>
    <form id="Form1" name="FORM_PAY_NOW_ID" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="thl" colspan="2">
                決済方法入力
            </td>
        </tr>
        <tr>
            <td class="ititle">
                カード選択
            </td>
            <td class="ivalue">
                <table style="width: 95%;">
                    <tr>
                        <td>
                        </td>
                        <td>
                            カード番号
                        </td>
                        <td>
                            (有効期限)
                        </td>
                    </tr>
                    <asp:Repeater runat="server" ID="CardIdList">
                        <ItemTemplate>
                            <tr>
                                <td>
                                    <asp:Button ID="Button1" runat="server" Text="選択"
                                    OnCommand="SelectCard" 
                                    CommandArgument='<%# DataBinder.Eval(Container.DataItem, "CardId") %>' />
                                </td>
                                <td>
                                    <%# DataBinder.Eval(Container.DataItem, "CardNumber")%>
                                </td>
                                <td>
                                    <%# DataBinder.Eval(Container.DataItem, "CardExpire")%>
                                </td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                    <tr>
                        <td colspan="3">
                            <asp:Button ID="Button2" runat="server" Text="別のカードを入力" OnClick="OtherCard" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </form>
    <a href="../PayNowIdMenu.aspx">PayNowIDサンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png" />&nbsp; Copyright &copy;
    VeriTrans Inc. All rights reserved
</body>
</html>
