﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;

namespace web.recruit
{
    public partial class CancelExec : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramOrderId = (String)Session["paramOrderId"];
            String paramAmount = (String)Session["paramAmount"];


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            RecruitCancelRequestDto requestData = new RecruitCancelRequestDto();
            requestData.OrderId = paramOrderId;
            requestData.Amount = paramAmount;


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            Transaction tran = new Transaction();
            RecruitCancelResponseDto responseData = (RecruitCancelResponseDto)tran.Execute(requestData);


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 結果画面に表示します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            OrderId.Text = responseData.OrderId;
            Balance.Text = responseData.Balance;
            UsePoint.Text = responseData.UsePoint;
            GivePoint.Text = responseData.GivePoint;
            Mstatus.Text = responseData.Mstatus;
            VResultCode.Text = responseData.VResultCode;
            CancelDatetime.Text = responseData.CancelDatetime;
            MerrMsg.Text = responseData.MerrMsg;
        }
    }
}
