﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DepositEntry.aspx.cs" Inherits="web.virtualacc.DepositEntry" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - 銀行振込決済入金サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <img src="../WEB-IMG/VeriTrans_Payment.png" alt="Paymentロゴ" /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G 銀行振込決済の入金取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <asp:Label ID="errorMessage" runat="server" />
    
    <div class="lhtitle">銀行振込決済：入金請求</div>
    
    <form id="Form1" name="FORM_VIRTUALACC" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="ititletop">
                取引ID
            </td>
            <td class="ivaluetop">
                <asp:TextBox ID="orderId" runat="server" MaxLength="100" size="30" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                金額
            </td>
            <td class="ivalue">
                <asp:TextBox ID="amount" runat="server" MaxLength="12" size="13" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                振込人名
            </td>
            <td class="ivalue">
                <asp:TextBox ID="transferName" runat="server" MaxLength="69" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                入金日
            </td>
            <td class="ivalue">
                <asp:TextBox ID="depositDate" runat="server" MaxLength="8" size="9" />
                &nbsp;&nbsp;<font size="2" color="red">※形式:YYYYMMDD</font>
            </td>
        </tr>
          <tr>
            <td class="ititle">
                消込フラグ
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="withReconcile" runat="server" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                登録方法
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="registrationMethod" runat="server" />
            </td>
        </tr>
    </table>
    <br />    
    <div>
        <asp:Button runat="server" ID="btnSubmit" OnClick="btnSubmit_Click" Text="入金" />&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
    </div>
    </form>
    <a href="../AdminMenu.aspx">管理メニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png' />&nbsp; Copyright &copy; VeriTrans Inc.
    All rights reserved
</body>
</html>
