﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using System.Reflection;

namespace MdkSampleDotNet.alipay
{
    public partial class AuthorizeExec : System.Web.UI.Page
    {

        public String PayType { get; set; }

        /// <summary>
        /// 初期表示イベント。
        /// パラメータを元に、GWと通信を行う。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramOrderId = (String)Session["paramOrderId"];
            String paramAmount = (String)Session["paramAmount"];
            String paramCurrency = (String)Session["paramCurrency"];
            String paramPayType = (String)Session["paramPayType"];
            String paramIdentityCode = (String)Session["paramIdentityCode"];
            String paramCommodityName = (String)Session["paramCommodityName"];
            String paramCommodityDescription = (String)Session["paramCommodityDescription"];
            String paramCommodityId = (String)Session["paramCommodityId"];
            String paramSuccessUrl = (String)Session["paramSuccessUrl"];
            String paramErrorUrl = (String)Session["paramErrorUrl"];

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            AlipayAuthorizeRequestDto requestData = new AlipayAuthorizeRequestDto();
            requestData.OrderId = paramOrderId;
            requestData.Amount = paramAmount;
            requestData.Currency = paramCurrency;
            requestData.PayType = paramPayType;
            requestData.IdentityCode = paramIdentityCode;
            requestData.CommodityName = paramCommodityName;
            requestData.CommodityDescription = paramCommodityDescription;
            requestData.CommodityId = paramCommodityId;
            requestData.SuccessUrl = paramSuccessUrl;
            requestData.ErrorUrl = paramErrorUrl;

            PayType = paramPayType;

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            Transaction tran = new Transaction();
            AlipayAuthorizeResponseDto responseData = (AlipayAuthorizeResponseDto)tran.Execute(requestData);

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 結果画面に表示します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            OrderId.Text = responseData.OrderId;
            Mstatus.Text = responseData.Mstatus;
            VResultCode.Text = responseData.VResultCode;
            MerrMsg.Text = responseData.MerrMsg;
            EntryForm.Text = responseData.EntryForm;
            if ("1".Equals(paramPayType) || "2".Equals(paramPayType))
            {
                CustTxn.Text = responseData.CustTxn;
                CenterTradeId.Text = responseData.CenterTradeId;
            }
            if ("1".Equals(paramPayType))
            {
                PayTimeJp.Text = responseData.PayTimeJp;
                PayTimeCn.Text = responseData.PayTimeCn;
                BuyerChargedAmountCny.Text = responseData.BuyerChargedAmountCny;
            } else if ("2".Equals(paramPayType)) {
                QrCode.Text = responseData.QrCode;
                QrCodeImgUrl.Text = responseData.QrCodeImgUrl;
                QrCodeSmallImgUrl.Text = responseData.QrCodeSmallImgUrl;
                QrCodeLargeImgUrl.Text = responseData.QrCodeLargeImgUrl;
            }
        }
    }
}
