﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;

namespace MdkSampleDotNet.card
{
    public partial class ReAuthorizeExec : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramOrderId = (String)Session["paramOrderId"];
            String paramOriginalOrderID = (String)Session["paramOriginalOrderID"];
            String paramAmount = (String)Session["paramAmount"];
            String paramWithCapture = (String)Session["paramWithCapture"];
            String paramJpo = (String)Session["paramJpo"];
            String paramSecurityCode = (String)Session["paramSecurityCode"];


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            CardReAuthorizeRequestDto requestData = new CardReAuthorizeRequestDto();
            requestData.OrderId = paramOrderId;
            requestData.OriginalOrderId = paramOriginalOrderID;
            requestData.Amount = paramAmount;
            requestData.WithCapture = paramWithCapture;
            if (!String.IsNullOrEmpty(paramJpo))
            {
                requestData.Jpo = paramJpo;
            }
            if (!String.IsNullOrEmpty(paramSecurityCode))
            {
                requestData.SecurityCode = paramSecurityCode;
            }

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            Transaction tran = new Transaction();
            CardReAuthorizeResponseDto responseData = (CardReAuthorizeResponseDto)tran.Execute(requestData);


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 結果画面に表示します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            OrderId.Text = responseData.OrderId;
            Mstatus.Text = responseData.Mstatus;
            VResultCode.Text = responseData.VResultCode;
            MerrMsg.Text = responseData.MerrMsg;

            ReqCardNumber.Text = responseData.ReqCardNumber;
            CenterReferenceNumber.Text = responseData.CenterReferenceNumber;
        }
    }
}
