﻿<%@ Page Language="C#" AutoEventWireup="True" CodeBehind="Terminate.aspx.cs" Inherits="MdkSampleDotNet.carrier.Terminate" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - キャリア決済継続課金終了サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
    <script language="JavaScript" type="text/javascript">

        function setUrl() {
            var obj = document.Form1.elements;
            var force = obj.force.value;
            if (force == "false") {
                var index = obj.serviceOptionType.selectedIndex;
                if (index == 1 || index == 3) {
                    obj.successUrl.value = "";
                    obj.cancelUrl.value = "";
                    obj.errorUrl.value = "";
                } else {
                    if (obj.successUrl.value == "") {
                        obj.successUrl.value = obj.hidSuccessUrl.value;
                    }
                    if (obj.cancelUrl.value == "") {
                        obj.cancelUrl.value = obj.hidCancelUrl.value;
                    }
                    if (obj.errorUrl.value == "") {
                        obj.errorUrl.value = obj.hidErrorUrl.value;
                    }
                }
             }
         }

         // onLoadイベント
         window.onload= function() {
           setUrl();
         }
         //-->

    </script>
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png' /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G キャリア決済の継続課金終了取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <asp:Label ID="errorMessage" runat="server" />
    <div class="lhtitle">キャリア決済：継続課金終了請求</div>
    <form id="Form1" name="FORM_CARRIER" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="ititletop">
                キャリア選択
            </td>
            <td class="ivaluetop">
                <asp:DropDownList ID="serviceOptionType" runat="server" onChange="setUrl()">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                取引ID
            </td>
            <td class="ivalue">
                <asp:TextBox ID="orderId" runat="server" MaxLength="100" size="30" />
            </td>
        </tr>
        <% if (String.IsNullOrEmpty(Request["Admin"]))
   {%>
        <tr>
            <td class="ititle">
                端末種別
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="terminalKind" runat="server">
                </asp:DropDownList>
                <br />
                <font size="2" color="red">ドコモ：PC不可<br />
                    ソフトバンクまとめて支払い（A）：フィーチャーフォン不可
                </font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                決済完了時URL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="successUrl" runat="server" MaxLength="256" size="70" />
                <br />
                <font size="2" color="red">※au・ソフトバンクまとめて支払い（B）は指定不可</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                決済キャンセル時URL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="cancelUrl" runat="server" MaxLength="256" size="70" />
                <br />
                <font size="2" color="red">※au・ソフトバンクまとめて支払い（B）は指定不可</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                決済エラー時URL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="errorUrl" runat="server" MaxLength="256" size="70" />
                <br />
                <font size="2" color="red">※au・ソフトバンクまとめて支払い（B）は指定不可</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                プッシュURL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="pushUrl" runat="server" MaxLength="256" size="70" />
                <br />
                <font size="2" color="red">※ダミー決済の場合のみ指定可能</font>
            </td>
        </tr>
        <%} %>
        <tr>
            <td colspan="2">
                <asp:Button ID="btnSubmit" runat="server" Text="継続課金終了" OnClick="btnSubmit_Click" />&nbsp;&nbsp;<font
                    size="2" color="red">※２回以上クリックしないでください。</font>
            </td>
        </tr>
    </table>
    <asp:HiddenField ID="force" runat="server" />
    <asp:HiddenField ID="hidSuccessUrl" runat="server" />
    <asp:HiddenField ID="hidCancelUrl" runat="server" />
    <asp:HiddenField ID="hidErrorUrl" runat="server" />
    <% if (null != Request["Admin"])
       { %>
    <input type="hidden" name="Admin" value="<%#Request["Admin"]%>" />
    <% } %>
    </form>
    <% if (!String.IsNullOrEmpty(Request["Admin"]))
       { %>
    <a href="../AdminMenu.aspx">管理メニューへ戻る</a>&nbsp;&nbsp;
    <% }
       else
       { %>
    <a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <% } %>
    <hr />
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png' />&nbsp; Copyright &copy; VeriTrans Inc.
    All rights reserved
</body>
</html>
