<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Authorize.aspx.cs" Inherits="MdkSampleDotNet.cvs.Authorize" %>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - コンビニ決済 サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'/><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G コンビニ決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<asp:Label ID="errorMessage" runat="server"/>

<table>
<tr>
  <td class="ptitle"><div class="lhtitle">コンビニ決済：決済請求</div></td>
  <td class="pcxts">
  <img alt="LOGO" src="../WEB-IMG/CVS_CirclekSunkus.jpg"/>
  <img alt="LOGO" src="../WEB-IMG/CVS_Dailyyamazaki.jpg"/>
  <img alt="LOGO" src="../WEB-IMG/CVS_Famima.jpg"/>
  <img alt="LOGO" src="../WEB-IMG/CVS_Lawson.jpg"/>
  <img alt="LOGO" src="../WEB-IMG/CVS_Ministop.jpg"/>
  <img alt="LOGO" src="../WEB-IMG/CVS_Seicomart.jpg"/>
  <img alt="LOGO" src="../WEB-IMG/CVS_SevenEleven.jpg"/>
  </td>
</tr>
</table>

<table border="0" cellpadding="0" cellspacing="0">
<form id="Form1" name="FORM_CVS" method="post" runat="server">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><asp:Label ID="orderId" runat="server"/>&nbsp;&nbsp;<asp:Button ID="btnReplaceOrderId" runat="server" Text="取引ID更新" onclick="btnReplaceOrderId_Click" /></td>
</tr>
<tr>
  <td class="ititle">決済サービスオプション</td>
  <td class="ivalue">
    <asp:DropDownList ID="serviceOptionType" runat="server">
        <asp:ListItem Value="sej">セブンイレブン</asp:ListItem>
        <asp:ListItem Value="econ">ローソン、ファミリーマートetc</asp:ListItem>
        <asp:ListItem Value="other">サークルKサンクス、デイリーヤマザキetc</asp:ListItem>
    </asp:DropDownList>
  </td>
</tr>
<tr>
  <td class="ititle">決済金額</td>
  <td class="ivalue"><asp:TextBox ID="amount" runat="server" maxlength="6" size="7" /></td>
</tr>
<tr>
  <td class="ititle">姓</td>
  <td class="ivalue"><asp:TextBox ID="name1" runat="server" maxlength="20" size="21" /></td>
</tr>
<tr>
  <td class="ititle">名</td>
  <td class="ivalue"><asp:TextBox ID="name2" runat="server" maxlength="20" size="21" /></td>
</tr>
<tr>
  <td class="ititle">電話番号</td>
  <td class="ivalue"><asp:TextBox ID="telNo" runat="server" maxlength="13" size="14" />&nbsp;&nbsp;<font size="2" color="red">※"-"(ハイフン)区切りも可能</font></td>
</tr>
<tr>
  <td class="ititle">支払期限</td>
  <td class="ivalue"><asp:TextBox ID="payLimit" runat="server" maxlength="10" size="11" />&nbsp;&nbsp;<font size="2" color="red">※形式：YYYYMMDD or YYYY/MM/DD</font></td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
  <td colspan="2"><asp:Button ID="btnSubmit" runat="server" Text="購入" onclick="btnSubmit_Click" />&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>
</form>
</table>

<br/>
<a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr/>
<img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png"/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
