﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace MdkSampleDotNet.cvs
{
    public partial class AuthorizeExec : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramServiceOptionType = (String) Session["paramServiceOptionType"];
            String paramOrderId = (String) Session["paramOrderId"];
            String paramAmount = (String) Session["paramAmount"];
            String paramName1 = (String) Session["paramName1"];
            String paramName2 = (String) Session["paramName2"];
            String paramTelephoneNumber = (String) Session["paramTelephoneNumber"];
            String paramPaymentLimit = (String) Session["paramPaymentLimit"];


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            CvsAuthorizeRequestDto requestData = new CvsAuthorizeRequestDto();
            requestData.ServiceOptionType = paramServiceOptionType;
            requestData.OrderId = paramOrderId;
            requestData.Amount = paramAmount;
            requestData.Name1 = paramName1;
            requestData.Name2 = paramName2;
            requestData.TelNo = paramTelephoneNumber;
            requestData.PayLimit = paramPaymentLimit;

            //現在はリザーブパラメータのため無条件に "0" を設定してください。(2010.05.22)
            requestData.PaymentType = "0";

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            Transaction tran = new Transaction();
            CvsAuthorizeResponseDto responseData = (CvsAuthorizeResponseDto)tran.Execute(requestData);


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 結果画面に表示します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            OrderId.Text = responseData.OrderId;
            Mstatus.Text = responseData.Mstatus;
            VResultCode.Text = responseData.VResultCode;
            MerrMsg.Text = responseData.MerrMsg;

            ReceiptNumber.Text = responseData.ReceiptNo;
            if (responseData.HaraikomiUrl == null || responseData.HaraikomiUrl.Length == 0)
            {
                PaymentActionUrl.Visible = false;
            }
            else {
                PaymentActionUrl.Visible = true;
                PaymentActionUrl.NavigateUrl = responseData.HaraikomiUrl;
                PaymentActionUrl.Text = responseData.HaraikomiUrl;
            }
        }
    }
}
