<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Refund.aspx.cs" Inherits="MdkSampleDotNet.em.Refund" %>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - 電子マネー決済返金要求サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'/><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 電子マネー決済の返金取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<asp:Label ID="errorMessage" runat="server"/>

<div class="lhtitle">電子マネー決済：返金請求</div>
<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_EM" method="post" runat="server">
<tr>
  <td class="ititletop">決済サービスオプション</td>
  <td class="ivaluetop">
    <asp:DropDownList ID="serviceOptionType" runat="server">
        <asp:ListItem Value="edy-pc">サイバーEdy決済</asp:ListItem>
        <asp:ListItem Value="edy-mobile">モバイルEdy決済</asp:ListItem>
        <asp:ListItem Value="edy-direct">モバイルEdyダイレクト決済</asp:ListItem>
        <asp:ListItem Value="suica-mobile-mail">モバイルSuica メール決済</asp:ListItem>
        <asp:ListItem Value="suica-mobile-app">モバイルSuica アプリ決済</asp:ListItem>
        <asp:ListItem Value="suica-pc-mail">Suicaインターネットサービス メール決済</asp:ListItem>
        <asp:ListItem Value="suica-pc-app">Suicaインターネットサービス アプリ決済</asp:ListItem>
        <asp:ListItem Value="waon-pc">WAONネット決済PC</asp:ListItem>
        <asp:ListItem Value="waon-mobile">WAONネット決済モバイル</asp:ListItem>
    </asp:DropDownList>
    <!-- 対象取引種別 -->
    <asp:HiddenField ID="orderKind" Value="refund" runat="server" />
  </td>
</tr>
<tr>
  <td class="ititle">決済金額</td>
  <td class="ivalue"><asp:TextBox ID="amount" runat="server" maxlength="5" size="6" /></td>
</tr>
<tr>
  <td class="ititle">対象取引ID</td>
  <td class="ivalue"><asp:TextBox ID="refundOrderId" runat="server" maxlength="100" size="30" /></td>
</tr>
<tr>
  <td class="ititle">決済期限</td>
  <td class="ivalue"><table border="0" cellpadding="0" cellspacing="0"><tr>
  <td rowspan="2"><asp:TextBox ID="settlementLimit" runat="server" maxlength="14" size="15" /></td>
  <td>&nbsp;&nbsp;<font size="2" color="red">※サイバーEdy決済、モバイルEdyダイレクト決済の場合は入力する必要はありません。</font></td></tr>
  <tr><td>&nbsp;&nbsp;<font size="2" color="red">※形式：YYYYMMDDhhmmss</font></td>
  </tr></table></td>
</tr>
<tr>
  <td class="ititle">画面タイトル</td>
  <td class="ivalue"><asp:TextBox ID="screenTitle" runat="server" maxlength="40" size="50" /></td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
  <td colspan="2"><asp:Button ID="btnSubmit" runat="server" Text="返金" onclick="btnSubmit_Click" />&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>
</form>
</table>

<br/>
<a href="../AdminMenu.aspx">管理メニューへ戻る</a>&nbsp;&nbsp;

<hr/>
<img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png"/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
