﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Authorize.aspx.cs" Inherits="web.masterpass.Authorize" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - MasterPass決済与信サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <img src="../WEB-IMG/VeriTrans_Payment.png" alt="Paymentロゴ" /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G MasterPass決済の取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <asp:Label ID="errorMessage" runat="server" />
    <div class="lhtitle">MasterPass Authorize<br/>(決済：決済請求)</div>
    <% if (!String.IsNullOrEmpty(errorMessage.Text))
       { %>
            <%=Warning + "<br/><br/>"%>
    <%
        }
       else
       { %>
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="rititletop">
                Order Id<br/>(取引ID)
            </td>
            <td class="rivaluetop">
                <asp:Label ID="orderId" runat="server" Text="" />
            </td>
        </tr>
        <tr>
            <td class="rititle">
                Card Number<br/>(カード番号)
            </td>
            <td class="rivalue">
                <asp:Label ID="cardNumber" runat="server" Text="" />
            </td>
        </tr>
        <tr>
            <td class="rititle">
                Name<br/>(配送先：氏名)
            </td>
            <td class="rivalue">
                <asp:Label ID="shippingName" runat="server" Text="" />
            </td>
        </tr>
        <tr>
            <td class="rititle">
                Phone<br/>(配送先：電話番号)
            </td>
            <td class="rivalue">
                <asp:Label ID="shippingPhone" runat="server" Text="" />
            </td>
        </tr>
        <tr>
            <td class="rititle">
                City<br/>(配送先：市)
            </td>
            <td class="rivalue">
                <asp:Label ID="shippingCity" runat="server" Text="" />
            </td>
        </tr>
        <tr>
            <td class="rititle">
                Country<br/>(配送先：国)
            </td>
            <td class="rivalue">
                <asp:Label ID="shippingCountry" runat="server" Text="" />
            </td>
        </tr>
        <tr>
            <td class="rititle">
                Country Sub Division<br/>(配送先：地域)
            </td>
            <td class="rivalue">
                <asp:Label ID="shippingCountrySubdivision" runat="server" Text="" />
            </td>
        </tr>
        <tr>
            <td class="rititle">
                Address1<br/>(配送先：住所１)
            </td>
            <td class="rivalue">
                <asp:Label ID="shippingAddress1" runat="server" Text="" />
            </td>
        </tr>
        <tr>
            <td class="rititle">
                Address2<br/>(配送先：住所２)
            </td>
            <td class="rivalue">
                <asp:Label ID="shippingAddress2" runat="server" Text="" />
            </td>
        </tr>
        <tr>
            <td class="rititle">
                Address3<br/>(配送先：住所３)
            </td>
            <td class="rivalue">
                <asp:Label ID="shippingAddress3" runat="server" Text="" />
            </td>
        </tr>
        <tr>
            <td class="rititle">
                PostalCode<br/>(配送先：郵便番号)
            </td>
            <td class="rivalue">
                <asp:Label ID="shippingPostalCode" runat="server" Text="" />
            </td>
        </tr>
    </table>
    <%} %>
<br/>
    <form id="Form1" name="FORM_MASTERPASS" method="post" runat="server">
    <table>
        <tr>
            <td class="ititletop">
                Amount<br/>(決済金額)
            </td>
            <td class="ivaluetop">
                <asp:TextBox ID="amount" runat="server" MaxLength="8" size="9" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                With or Without Capture<br/>(与信方法)
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="withCapture" runat="server" />
            </td>
        </tr>
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>
        <asp:HiddenField ID="dummyRequest" runat="server" />
        <tr>
            <td colspan="2">
                <asp:Button runat="server" ID="btnSubmit" OnClick="btnSubmit_Click" Text="Buy (購入)" />&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
            </td>
        </tr>
    </table>
    </form>
    <a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png' />&nbsp; Copyright &copy; VeriTrans Inc.
    All rights reserved
</body>
</html>
