﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using jp.veritrans.tercerog.mdk;

namespace web.masterpass
{
    public partial class Result : System.Web.UI.Page
    {
        public String Warning { get; set; }
        /// <summary>
        /// 初期表示イベント。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                String command = Request["txnType"];
                String strCommandEng = "";
                String strCommandJpn = "";
                if ("Authorize".Equals(command))
                {
                    strCommandEng = "Authorize";
                    strCommandJpn = "決済";
                }

                String result = Request["result"];
                String strResultEng = "";
                String strResultJpn = "";
                if ("SUCCESS".Equals(result))
                {
                    strResultEng = "Success";
                    strResultJpn = "完了";
                }
                else if ("CANCEL".Equals(result))
                {
                    strResultEng = "Cancel";
                    strResultJpn = "キャンセル";
                }
                else if ("ERROR".Equals(result))
                {
                    strResultEng = "Error";
                    strResultJpn = "エラー";
                }

                lblResult.Text = strResultEng;
                lblCommandResultEng.Text = strCommandEng + strResultEng;
                lblCommandResultJpn.Text = strCommandJpn + strResultJpn;

                Warning = null;

                String merchantId = MerchantContext.Config.GetValue(MerchantConfig.MERCHANT_CC_ID);
                String merchantPw = MerchantContext.Config.GetValue(MerchantConfig.MERCHANT_SECRET_KEY);
 
                // パラメータ改ざんチェック
                if (!AuthHashUtil.CheckAuthHash(Request.Params, merchantId, merchantPw))
                {
                    Warning = "<font color='#ff0000'><b>Parameter is altered dishonestly<br>(【パラメータ改竄】パラメータ情報が改竄されています。)</b></font>";
                }
                else
                {
                    OrderId.Text = Request["orderId"];
                    Mstatus.Text = Request["mstatus"];
                    VResultCode.Text = Request["vResultCode"];
                }
            }
        }
    }
}
