﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Capture.aspx.cs" Inherits="MdkSampleDotNet.saison.Capture" %>

<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
<title>VeriTrans 4G - 永久不滅ポイント(永久不滅ウォレット)売上サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css">
    <script language="JavaScript" type="text/javascript">
        function initializeVal() {
            document.getElementById('cardNumber').value = "";
            document.getElementById('cc-exp').value = "";
            document.getElementById('cc-csc').value = "";
        }

        document.addEventListener('DOMContentLoaded', function () {
            document.getElementById('btnSubmit').addEventListener('click', function () {
                var card_amount_elm = document.getElementById('cardAmount');
                if (!card_amount_elm || card_amount_elm.value == 0) {
                    initializeVal();
                    document.getElementById('btnSubmitHidden').click();
                    return;
                }

                var data = {};
                data.token_api_key = document.getElementById('tokenApiKey').innerText;
                if (document.getElementById('cardNumber')) {
                    data.card_number = document.getElementById('cardNumber').value;
                }
                if (document.getElementById('cc-exp')) {
                    data.card_expire = document.getElementById('cc-exp').value;
                }
                if (document.getElementById('cc-csc')) {
                    data.security_code = document.getElementById('cc-csc').value;
                }
                data.lang = "ja";

                var url = document.getElementById('tokenApiUrl').innerText;

                var xhr = new XMLHttpRequest();
                xhr.open('POST', url, true);
                xhr.setRequestHeader('Accept', 'application/json');
                xhr.setRequestHeader('Content-Type', 'application/json; charset=utf-8');
                xhr.addEventListener('loadend', function () {
                    if (xhr.status === 0) {
                        alert("トークンサーバーとの接続に失敗しました");
                        return;
                    }
                    var response = JSON.parse(xhr.response);
                    if (xhr.status == 200) {
                        initializeVal();
                        document.getElementById('token').value = response.token;
                        document.getElementById('btnSubmitHidden').click();
                    } else {
                        alert(response.message);
                    }

                });
                xhr.send(JSON.stringify(data));
            });
        });
    </script>
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
    <span style="font-size: small;">
        本画面はVeriTrans4G 永久不滅ポイント(永久不滅ウォレット)決済の売上サンプル画面です。<br/>
        お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
        また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
    </span>
</div>

<asp:Label ID="errorMessage" runat="server"/>

<table style="border-width: 0; padding: 0; border-collapse: collapse;">
    <tr>
        <td>
            <div class="lhtitle">永久不滅ポイント(永久不滅ウォレット)決済：売上</div>
        </td>
        <td width="20"><br></td>
        <%
            int pointBalance = 0;
            int aqfPointBalance = 0;
            int amount = 0;

            if (!String.IsNullOrEmpty(Request.QueryString["pointBalance"])) {
                pointBalance = int.Parse(Request.QueryString["pointBalance"]);
            }
            if (!String.IsNullOrEmpty(Request.QueryString["aqfPointBalance"])) {
                aqfPointBalance = int.Parse(Request.QueryString["aqfPointBalance"]);
            }
            if (!String.IsNullOrEmpty((String)Session["amount"])) {
                amount = int.Parse((String)Session["amount"]);
            }

            if (aqfPointBalance >= 100 && amount > pointBalance) {
        %>
        <td>
            <!-- 永久不滅ウォレット交換へ接続 -->
            <a href="javascript:void(0);" onclick="window.open('https://www.a-q-f.com/hpc/AuthenticationPHC.do');"><font size="2">永久不滅ウォレットへ交換</font></a>
        </td>
        <%
            }
        %>
    </tr>
</table>

<form id="Form1" name="FORM_SAISON" method="post" runat="server">
<table border="0" cellpadding="0" cellspacing="0">
    <tr>
        <td class="ititlecommon">取引ID</td>
        <td class="ivaluecommon"><asp:Label ID="dispOrderId" runat="server"/><asp:HiddenField ID="orderId" runat="server" /></td>
    </tr>
    <tr>
        <td class="ititlecommon">永久不滅ウォレット残高</td>
        <td class="ivaluecommon">
            <table border="0">
                <tr>
                    <td><asp:Label ID="pointBalance" runat="server"/></td>

                    <%
                        int pointBalance = 0;
                        int aqfPointBalance = 0;
                        int amount = 0;
                        if (!String.IsNullOrEmpty(Request.QueryString["pointBalance"]))
                        {
                            pointBalance = int.Parse(Request.QueryString["pointBalance"]);
                        }
                        if (!String.IsNullOrEmpty(Request.QueryString["aqfPointBalance"]))
                        {
                            aqfPointBalance = int.Parse(Request.QueryString["aqfPointBalance"]);
                        }
                        if (!String.IsNullOrEmpty((String)Session["amount"]))
                        {
                            amount = int.Parse((String)Session["amount"]);
                        }
                        if (aqfPointBalance >= 100 && amount > pointBalance)
                        {
                    %>
                    <td colspan="2"><asp:Button ID="reOauth" runat="server" Text="残高再確認" onclick="btnReOauth_Click" /></td>
                    <td>    </td>
                    <td>新取引ID : </td>
                    <td><asp:Label ID="reOauthOrderId" runat="server"/></td>
                    <%
                        }
                     %>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">永久不滅ポイント残高</td>
        <td class="ivaluecommon"><asp:Label ID="aqfPointBalance" runat="server"/></td>
    </tr>
    <tr>
        <td class="ititlecommon">交換後利用可能バリュー</td>
        <td class="ivaluecommon"><asp:Label ID="availableValue" runat="server"/></td>
    </tr>
    <tr>
        <td class="ititlecommon">合計決済金額</td>
        <td class="ivaluecommon"><asp:Label ID="dispAmount" runat="server"/><asp:HiddenField ID="amount" runat="server" /></td>
    </tr>
    <tr>
        <td class="ititlecommon">永久不滅ウォレット決済金額</td>
        <td class="ivaluecommon"><asp:TextBox ID="walletAmount" runat="server"/></td>
    </tr>
    <tr>
        <td class="ititlecommon">カード決済金額</td>
        <td class="ivaluecommon"><asp:TextBox ID="cardAmount" runat="server"/></td>
    </tr>
    <tr>
        <td class="ititlecommon">カード番号</td>
        <td class="ivaluecommon">
            <input id="cardNumber" type="tel" x-autocompletetype="cc-number" autocompletetype="cc-number" autocorrect="off" spellcheck="off" autocapitalize="off" maxlength="19" size="19">
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">カード有効期限</td>
        <td class="ivaluecommon">
            <input id="cc-exp" type="tel" x-autocompletetype="off" autocompletetype="off" autocorrect="off" spellcheck="off" autocapitalize="off" placeholder="MM/YY" maxlength="5" size="5">
                &nbsp;&nbsp;<span style="font-size: small; color: red;">※形式：MM/YY</span>
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">セキュリティコード</td>
        <td class="ivaluecommon">
            <input id="cc-csc" type="tel" autocomplete="off" autocorrect="off" spellcheck="off" autocapitalize="off" maxlength="4" size="4">
                &nbsp;&nbsp;<span style="font-size: small; color: red;">※必要な場合は入力してください。</span>
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">カード取引ＩＤ</td>
        <td class="ivaluecommon"><asp:TextBox ID="cardOrderId" runat="server"/></td>
    </tr>
    <tr>
        <td class="ititlecommon">カード与信方法</td>
        <td class="ivaluecommon">
            <table border="0">
                <tr>
                    <td>
                        <asp:RadioButtonList ID="withCapture" runat="server">
                        <asp:ListItem Value="false" Selected="True">与信のみ(与信成功後に売上処理を行う必要があります)</asp:ListItem>
                        <asp:ListItem Value="true">与信売上(与信と同時に売上処理も行います)</asp:ListItem>
                        </asp:RadioButtonList>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="thlToken" colspan="2">
            MDKトークン設定情報
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">トークンAPIキー</td>
        <td class="ivaluecommon">
            <asp:Label runat="server" ID="tokenApiKey"></asp:Label>
        </td>
    </tr>
    <tr>
        <td class="ititlecommon">トークンAPI URL</td>
        <td class="ivaluecommon">
            <asp:Label runat="server" ID="tokenApiUrl"></asp:Label>
        </td>
    </tr>
    <tr>
        <td colspan="2">&nbsp;</td>
    </tr>
    <tr>
        <td colspan="2">
            <button id="btnSubmit" onclick="return false;">購入</button>
            &nbsp;&nbsp;<span style="font-size: small; color: red">※2回以上クリックしないでください。</span>
            <asp:Button ID="btnSubmitHidden" OnClick="btnSubmit_Click" runat="server" style="visibility:hidden" />
        </td>
    </tr>
</table>
<asp:HiddenField ID="token" runat="server" />
<asp:HiddenField ID="_screen" runat="server" Value="Capture" />
</form>
<a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>