﻿<%@ Page Language="C#" AutoEventWireup="True" CodeBehind="Authorize.aspx.cs" Inherits="MdkSampleDotNet.upop.Authorize" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - UPOP決済与信サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />

    <script language="JavaScript" type="text/javascript">
    </script>

</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png' /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G UPOP決済の取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <asp:Label ID="errorMessage" runat="server" />
    <table>
        <tr>
            <td>
                <div class="lhtitle">
                    UPOP決済：決済請求</div>
            </td>
            <td>
                <img alt="LOGO" src='../WEB-IMG/upop.gif' />
            </td>
            <td width="20">
                <br />
            </td>
        </tr>
    </table>
    <form id="Form1" name="FORM_UPOP" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="ititletop">
                取引ID
            </td>
            <td class="ivaluetop">
                <asp:Label ID="orderId" runat="server" />&nbsp;&nbsp;
                <asp:Button ID="btnReplaceOrderId" runat="server" Text="取引ID更新" OnClick="btnReplaceOrderId_Click" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                金額
            </td>
            <td class="ivalue">
                <asp:TextBox ID="amount" runat="server" MaxLength="8" size="9" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                与信方法
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="withCapture" runat="server">
                    <asp:ListItem Value="false">与信のみ(与信成功後に売上処理を行う必要があります)</asp:ListItem>
                    <asp:ListItem Value="true">与信売上(与信と同時に売上処理も行います)</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
            </td>
            <td>
                <asp:HiddenField ID="termUrl" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
            </td>
            <td>
                <asp:HiddenField ID="customerIp" runat="server" />
            </td>
        </tr>
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:Button ID="btnSubmit" runat="server" Text="購入" OnClick="btnSubmit_Click" />&nbsp;&nbsp;<font
                    size="2" color="red">※２回以上クリックしないでください。</font>
            </td>
        </tr>
    </table>
    </form>
    <a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png' />&nbsp; Copyright &copy; VeriTrans Inc.
    All rights reserved
</body>
</html>
