﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Authorize.aspx.cs" Inherits="web.virtualacc.Authorize" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - 銀行振込決済申込サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <img src="../WEB-IMG/VeriTrans_Payment.png" alt="Paymentロゴ" /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G 銀行振込決済の取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <asp:Label ID="errorMessage" runat="server" />
    
    <div class="lhtitle">銀行振込決済：決済請求</div>
    
    <form id="Form1" name="FORM_VIRTUALACC" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="ititletop">
                取引ID
            </td>
            <td class="ivaluetop">
                <asp:Label ID="orderId" runat="server" />&nbsp;&nbsp;
                <asp:Button ID="btnReplaceOrderId" runat="server" Text="取引ID更新" OnClick="btnReplaceOrderId_Click" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                金額
            </td>
            <td class="ivalue">
                <asp:TextBox ID="amount" runat="server" MaxLength="12" size="13" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                登録時振込人名
            </td>
            <td class="ivalue">
                <asp:TextBox ID="entryTransferName" runat="server" MaxLength="64" size="80" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                登録時振込番号
            </td>
            <td class="ivalue">
                <asp:TextBox ID="entryTransferNumber" runat="server" MaxLength="5" size="10" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                振込期限
            </td>
            <td class="ivalue">
                <asp:TextBox ID="transferExpiredDate" runat="server" MaxLength="8" size="10" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                口座管理方式
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="accountManageType" runat="server" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                支店コード
            </td>
            <td class="ivalue">
                <asp:TextBox ID="branchCode" runat="server" MaxLength="3" size="10" />
                <font size="2" color="red"><br/>
                    ※口座管理方式が実口座の場合は利用不可項目となります。<br/>
                    ※口座管理方式がバーチャル口座の場合は任意項目となります。<br/>
                    ⇒未入力時は登録済の口座情報を自動で払い出します。
                </font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                口座番号
            </td>
            <td class="ivalue">
                <asp:TextBox ID="accountNumber" runat="server" MaxLength="7" size="10" />
                <font size="2" color="red"><br/>
                    ※口座管理方式が実口座の場合は利用不可項目となります。<br/>
                    ※口座管理方式がバーチャル口座の場合は任意項目となります。<br/>
                    ⇒未入力時は登録済の口座情報を自動で払い出します。 
                </font>
            </td>
        </tr>
    </table>
    <br />
    <asp:Button runat="server" ID="btnSubmit" OnClick="btnSubmit_Click" Text="購入" />&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
    </form>
    <a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png' />&nbsp; Copyright &copy; VeriTrans Inc.
    All rights reserved
</body>
</html>
